Skip to content
Newer
Older
100644 25 lines (20 sloc) 964 Bytes
6ce929e @cantino cleanup and finish gemifying
cantino authored Oct 1, 2010
1 # -*- encoding: utf-8 -*-
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 3, 2011
2 $:.push File.expand_path("../lib", __FILE__)
6ce929e @cantino cleanup and finish gemifying
cantino authored Oct 1, 2010
3
4 Gem::Specification.new do |s|
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
5 s.name = "ruby-readability"
e02e254 @cantino version bump
cantino authored Oct 26, 2011
6 s.version = '0.5.0.pre'
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
7 s.authors = ["Andrew Cantino", "starrhorne", "libc", "Kyle Maxwell"]
8 s.email = ["andrew@iterationlabs.com"]
9 s.homepage = "http://github.com/iterationlabs/ruby-readability"
10 s.summary = %q{Port of arc90's readability project to ruby}
6ce929e @cantino cleanup and finish gemifying
cantino authored Oct 1, 2010
11 s.description = %q{Port of arc90's readability project to ruby}
12
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
13 s.rubyforge_project = "ruby-readability"
6ce929e @cantino cleanup and finish gemifying
cantino authored Oct 1, 2010
14
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
15 s.files = `git ls-files`.split("\n")
16 s.test_files = `git ls-files -- {test,spec,features}/*`.split("\n")
17 s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
18 s.require_paths = ["lib"]
6ce929e @cantino cleanup and finish gemifying
cantino authored Oct 1, 2010
19
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
20 s.add_development_dependency "rspec", ">= 2.6"
ef9fac8 @cantino tests for encoding guessing in ruby 1.9.x
cantino authored Oct 26, 2011
21 s.add_development_dependency "rr", ">= 1.0"
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
22 s.add_dependency 'nokogiri', '>= 1.4.2'
ef9fac8 @cantino tests for encoding guessing in ruby 1.9.x
cantino authored Oct 26, 2011
23 s.add_dependency 'guess_html_encoding', '>= 0.0.2'
975ce96 @cantino use Bundler for gem; require guess_html_encoding for Ruby 1.9.2
cantino authored Oct 4, 2011
24 end
Something went wrong with that request. Please try again.